Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

pycparser 2.18 and 2.19 are broken #846

Closed
jdavid opened this Issue Dec 15, 2018 · 2 comments

Comments

Projects
None yet
2 participants
@jdavid
Copy link
Member

commented Dec 15, 2018

$ pytest
============================================================================================================ test session starts =============================================================================================================
platform linux -- Python 3.6.5, pytest-4.0.2, py-1.7.0, pluggy-0.8.0
rootdir: /home/jdavid/sandboxes/pygit2, inifile:
collected 0 items / 28 errors                                                                                                                                                                                                                

=================================================================================================================== ERRORS ===================================================================================================================
venv36/lib/python3.6/site-packages/cffi-1.11.5-py3.6-linux-x86_64.egg/cffi/api.py:174: in _typeof
    result = self._parsed_types[cdecl]
E   KeyError: 'int (*git_transport_certificate_check_cb)(git_cert *cert, int valid, const char *host, void *payload)'

During handling of the above exception, another exception occurred:
venv36/lib/python3.6/site-packages/cffi-1.11.5-py3.6-linux-x86_64.egg/cffi/cparser.py:276: in _parse
    ast = _get_parser().parse(fullcsource)
venv36/lib/python3.6/site-packages/pycparser-2.18-py3.6.egg/pycparser/c_parser.py:152: in parse
    debug=debuglevel)
venv36/lib/python3.6/site-packages/pycparser-2.18-py3.6.egg/pycparser/ply/yacc.py:331: in parse
    return self.parseopt_notrack(input, lexer, debug, tracking, tokenfunc)
venv36/lib/python3.6/site-packages/pycparser-2.18-py3.6.egg/pycparser/ply/yacc.py:1199: in parseopt_notrack
    tok = call_errorfunc(self.errorfunc, errtoken, self)
venv36/lib/python3.6/site-packages/pycparser-2.18-py3.6.egg/pycparser/ply/yacc.py:193: in call_errorfunc
    r = errorfunc(token)
venv36/lib/python3.6/site-packages/pycparser-2.18-py3.6.egg/pycparser/c_parser.py:1761: in p_error
    column=self.clex.find_tok_column(p)))
venv36/lib/python3.6/site-packages/pycparser-2.18-py3.6.egg/pycparser/plyparser.py:66: in _parse_error
    raise ParseError("%s: %s" % (coord, msg))
E   pycparser.plyparser.ParseError: <cdef source string>:2:7: before: git_transport_certificate_check_cb
@jdavid

This comment has been minimized.

Copy link
Member Author

commented Dec 15, 2018

@mgorny

This comment has been minimized.

Copy link

commented Mar 21, 2019

Now also reported upstream (eliben/pycparser#305) but apparently upstream wants somebody else to reduce it.

@jdavid jdavid referenced this issue Apr 1, 2019

Open

Consistent interface to get text and bytes #895

0 of 7 tasks complete

@jdavid jdavid closed this in 01b69f3 Apr 6, 2019

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.